> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For full documentation content, see https://docs.meetstream.ai/llms-full.txt.

# Fetch/Sync Events

GET https://api.meetstream.ai/api/v1/calendar/events

Reference: https://docs.meetstream.ai/api-reference/api-endpoints/calendar/fetch-sync-events

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Meetstream API
  version: 1.0.0
paths:
  /api/v1/calendar/events:
    get:
      operationId: fetch-sync-events
      summary: Fetch/Sync Events
      tags:
        - subpackage_calendar
      parameters:
        - name: Authorization
          in: header
          description: 'Format: Token <your_api_key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchEventsResponse'
servers:
  - url: https://api.meetstream.ai
components:
  schemas:
    FetchEventsResponseResultsItems:
      type: object
      properties:
        id:
          type: string
        start_time:
          type: string
        end_time:
          type: string
        calendar_id:
          type: string
        platform:
          type: string
        platform_id:
          type: string
        ical_uid:
          type: string
        meeting_platform:
          type: string
        meeting_url:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        is_deleted:
          type: boolean
        raw:
          type: object
          additionalProperties:
            description: Any type
        bots:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
      title: FetchEventsResponseResultsItems
    FetchEventsResponse:
      type: object
      properties:
        next:
          type:
            - string
            - 'null'
        previous:
          type:
            - string
            - 'null'
        has_more:
          type: boolean
        results:
          type: array
          items:
            $ref: '#/components/schemas/FetchEventsResponseResultsItems'
      title: FetchEventsResponse
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your_api_key>'

```

## SDK Code Examples

```python
import requests

url = "https://api.meetstream.ai/api/v1/calendar/events"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/calendar/events';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/calendar/events"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/calendar/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/calendar/events")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/calendar/events', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/calendar/events");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/calendar/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```